package dev.fyloz.colorrecipesexplorer

import dev.fyloz.colorrecipesexplorer.config.properties.CreProperties
import dev.fyloz.colorrecipesexplorer.config.properties.MaterialTypeProperties
import org.springframework.boot.autoconfigure.SpringBootApplication
import org.springframework.boot.autoconfigure.liquibase.LiquibaseAutoConfiguration
import org.springframework.boot.context.properties.EnableConfigurationProperties
import org.springframework.boot.runApplication

@SpringBootApplication(exclude = [LiquibaseAutoConfiguration::class])
@EnableConfigurationProperties(
  MaterialTypeProperties::class,
  CreProperties::class,
  DatabaseUpdaterProperties::class
)
class ColorRecipesExplorerApplication

fun main() {
    runApplication<ColorRecipesExplorerApplication>()
}
