package dev.fyloz.colorrecipesexplorer.service

import dev.fyloz.colorrecipesexplorer.model.RecipeStep
import dev.fyloz.colorrecipesexplorer.model.recipeStepIdAlreadyExistsException
import dev.fyloz.colorrecipesexplorer.model.recipeStepIdNotFoundException
import dev.fyloz.colorrecipesexplorer.repository.RecipeStepRepository
import org.springframework.stereotype.Service

interface RecipeStepService : ModelService<RecipeStep, RecipeStepRepository>

@Service
class RecipeStepServiceImpl(recipeStepRepository: RecipeStepRepository) :
  AbstractModelService<RecipeStep, RecipeStepRepository>(recipeStepRepository),
  RecipeStepService {
    override fun idNotFoundException(id: Long) = recipeStepIdNotFoundException(id)
    override fun idAlreadyExistsException(id: Long) = recipeStepIdAlreadyExistsException(id)
}
